{% extends "customers/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}
{% load humanize %}
{% load price_tag %}
{% block title %}Cobranza{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{{url }}">Boletas</a></li>
		<li class="breadcrumb-item active">Cobranza</li>
	  </ol>
	  <!-- end breadcrumb -->
	  
	  
	  <!-- begin page-header -->
	  <h1 class="page-header">Cobranza <small>nuevo</small></h1>
	  <!-- end page-header -->

 <!-- begin row -->
 <div class="row">
		<!-- begin col-6 -->
		<div class="col-xl-6 ui-sortable">
		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
			  <h4 class="panel-title">Añadir Nota de credito Manual</h4>
			  <div class="panel-heading-btn">
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			  </div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">

					{%if alert %}
					<div class="alert alert-danger fade show">
							<h4 class="alert-heading"><i class="fa fa-warning"></i> Warning!</h4>
							<p>{{alert}}</p>
							<hr>
							<p class="mb-0">Solicite nuevos lotes de folios para este tipo de boleta y registrelos en matrix.</p>
					</div>
					{%endif%}
					
	<form class="form-horizontal" method="post" enctype="multipart/form-data">
		{% csrf_token %}

		<div class="form-group row m-b-15" hidden>
	    <label for="{{ form.kind.auto_id }}" class="col-form-label col-md-3">Tipo</label>
	    <div class="col-sm-9">
					<select name="kind" class="form-control m-b-5" id="id_kind">
							<option value="3" selected>Nota</option>
							</select>
	      {% for error in form.kind.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		
		<div class="form-group row m-b-15" >
	    <label for="{{ form.code.auto_id }}" class="col-form-label col-md-3">Acción</label>
	    <div class="col-sm-9">
					<select name="code" class="form-control m-b-5" id="id_code">
						{%if show_op1%}
							<option value="1" >Anular documento de referencia</option>
							<option value="2" >Corregir texto</option>
							<option value="3" >Corregir monto</option>
						{%else%}
							<option value="2" >Corregir texto</option>
							<option value="3" >Corregir monto</option>
						{%endif%}
							</select>
	      {% for error in form.code.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
		<div id="op2">
		<div class="form-group row m-b-15">
				<label for="{{ form.previous_text.auto_id }}" class="col-form-label col-md-3">Texto a corregir</label>
				<div class="col-sm-9">
						{% render_field form.previous_text class="form-control m-b-5" %}
						
					{% for error in form.previous_text.errors %}
					<small class="f-s-12 text-danger">{{ error }}</small>
					{% endfor %}
				</div>
			</div>

			<div class="form-group row m-b-15">
					<label for="{{ form.new_text.auto_id }}" class="col-form-label col-md-3">Nuevo texto</label>
					<div class="col-sm-9">
							{% render_field form.new_text class="form-control m-b-5" %}
							
						{% for error in form.new_text.errors %}
						<small class="f-s-12 text-danger">{{ error }}</small>
						{% endfor %}
					</div>
				</div>
			</div>
		
		<div class="form-group row m-b-15">
	    <label for="{{ form.comment.auto_id }}" class="col-form-label col-md-3">Comentario</label>
	    <div class="col-sm-9">
	      {% render_field form.comment class="form-control m-b-5" %}

	      {% for error in form.comment.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>
	
		<div class="form-group row m-b-15">
	    <label for="{{ form.file.auto_id }}" class="col-form-label col-md-3">Archivo</label>
	    <div class="col-sm-9">
	      {% render_field form.file class="form-control m-b-5" %}

	      {% for error in form.file.errors %}
	      <small class="f-s-12 text-danger">{{ error }}</small>
	      {% endfor %}
	    </div>
		</div>

		<div id="op3">
				<div class="form-group row m-b-15">
					<label for="{{ form.paid_on.auto_id }}" class="col-form-label col-md-3">Fecha del Pago</label>
					<div class="col-sm-9">
						{% render_field form.paid_on class="form-control m-b-5" %}
		
						{% for error in form.paid_on.errors %}
						<small class="f-s-12 text-danger">{{ error }}</small>
						{% endfor %}
					</div>
				</div>
				<div class="form-group row m-b-15">
						<label for="{{ form.total.auto_id }}" class="col-form-label col-md-3">Total a descontar</label>
						<div class="col-sm-9">
							{% render_field form.total class="form-control m-b-5" %}
			
							{% for error in form.total.errors %}
							<small class="f-s-12 text-danger">{{ error }}</small>
							{% endfor %}
						</div>
					</div>
				{{ formset.management_form }}
				{%for obj in formset.forms %}
				<hr>
				<div class="form-group row m-b-15">
						<label for="{{obj.planCode.auto_id}}" class="col-form-label col-md-3">Código del plan</label>
						<div class="col-sm-9">
							{% render_field obj.planCode class="form-control m-b-5" %}
						
							{% for error in obj.planCode.errors %}
							<small class="f-s-12 text-danger">{{ error }}</small>
							{% endfor %}
						</div>
					</div>

				<div class="form-group row m-b-15">
						<label for="{{obj.quantity.auto_id}}" class="col-form-label col-md-3">Cantidad</label>
						<div class="col-sm-9">
							{% render_field obj.quantity class="form-control m-b-5" %}
						
							{% for error in obj.quantity.errors %}
							<small class="f-s-12 text-danger">{{ error }}</small>
							{% endfor %}
						</div>
					</div>

					<div class="form-group row m-b-15">
							<label for="{{ obj.price.auto_id }}" class="col-form-label col-md-3">Precio sin iva</label>
							<div class="col-sm-9">
									{% render_field obj.price class="form-control m-b-5" %}
				
								{% for error in obj.price.errors %}
								<small class="f-s-12 text-danger">{{ error }}</small>
								{% endfor %}
							</div>
						</div>

				{%endfor%}
				</div>
				<div class="form-group row m-b-15">
					<label for="{{ form.currency.auto_id }}" class="col-form-label col-md-3">Moneda</label>
					<div class="col-sm-9">
						<select name="currency" class="form-control m-b-5" required id="id_currency">
							<option value="" selected>---------</option>
							{%for c in monedas %}
							<option value="{{c.id}}">{{c.name}}</option>
							{%endfor%}
							
						  </select>
					  {% for error in form.currency.errors %}
					  <small class="f-s-12 text-danger">{{ error }}</small>
					  {% endfor %}
					</div>
					</div>
		{%if not alert %}
		<input type="submit" value="Crear" class="btn btn-primary">
		{%endif%}
	  <a href="{{ cancel_url }}" class="btn btn-default">Cancelar</a>
	</form>

</div>
<!-- end panel-body -->
</div>
<!-- end panel -->
</div>
<!-- end col-6 -->

<!-- begin col-6 -->
<div class="col-xl-6 ui-sortable">
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1">
		  <!-- begin panel-heading -->
		  <div class="panel-heading ui-sortable-handle">
			<h4 class="panel-title">Cliente</h4>
			<div class="panel-heading-btn">
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			</div>
		  </div>
		  <!-- end panel-heading -->
		  <!-- begin panel-body -->
		  <div class="panel-body">
	{% if True %}
	<h4>{{ customer }}</h4>

	<p>{{ customer.rut }}</p>

	<h5>Números de servicio:</h5>
	<ul>
	{% for cc in customer.service_set.all %}
	<li><a href="{{ cc.get_absolute_url }}">{{ cc.number }}</a></li>
	{% endfor %}
	</ul>

	{%if actual %}
	<h5>Servicio:</h5>
	<p>{{actual}}</p>
	{%endif%}
	<h5>Datos de la boleta original</h5>
	<table class="table">
			<tr>
	<td><strong>Tipo</strong></td>
	<td>{{ invoice.get_kind_display }}</td>
			</tr>
			<tr>
	<td><strong>Folio</strong></td>
	<td>{{ invoice.folio }}</td>
			</tr>
			<tr>
	<td><strong>Comentario</strong></td>
	<td>{{ invoice.comment }}</td>
			</tr>
			<tr>
	<td><strong>Vencimiento</strong></td>
	<td>{{ invoice.due_date }}</td>
			</tr>
			<tr>
	<td><strong>Pagada</strong></td>
	<td>{{ invoice.paid_on|default:"No" }}</td>
			</tr>
			{% comment %}
			<tr>
	<td><strong>Estado</strong></td>
	<td>{{ invoice.get_status_display }}</td>
			</tr>
			{% endcomment %}
			<tr>
	<td><strong>Total</strong></td>
	<td>${{ invoice.total| price_tag  }}</td>
			</tr>
	<td><strong>Operador</strong></td>
	<td>{{ invoice.operator }}</td>
			</tr>

</table>
	{% endif %}
</div>
<!-- end panel-body -->
</div>
<!-- end panel -->
</div>
<!-- end col-6 -->
</div>
{% endblock %}


{% block pageleveljs %}
{%if show_op1 %}
<script type="text/javascript">
$('#op2').hide();
$('#op3').hide();
</script>
{%else%}
<script type="text/javascript"> 
$("#id_previous_text").prop("required", true);
$("#id_new_text").prop("required", true);
$('#op3').hide();
</script>
{%endif%}
<script type="text/javascript">
	document.getElementById("id_code").onchange = function(event) { 
	if (document.getElementById("id_code").value == "1"){
		$('#op3').hide();
		$('#op2').hide();
		$("#id_previous_text").prop("required", false);
		$("#id_new_text").prop("required", false);
		$("#id_total").prop("required", false);
	}
	if (document.getElementById("id_code").value == "2"){
		$('#op3').hide();
		$('#op2').show();
		$("#id_previous_text").prop("required", true);
		$("#id_new_text").prop("required", true);
		$("#id_total").prop("required", false);
	}
	if (document.getElementById("id_code").value == "3"){
		$('#op2').hide();
		$('#op3').show();
		$("#id_previous_text").prop("required", false);
		$("#id_new_text").prop("required", false);
		$("#id_total").prop("required", true);
	}
 }
</script>
{% endblock %}
